### Function

# Gimp pixbuf_get_icc_profile

since: 2.10

#### Declaration [src]

    guint8*
    gimp_pixbuf_get_icc_profile (
      GdkPixbuf* pixbuf,
      gsize* length
    )

#### Description [src]

Returns the ICC profile attached to the `pixbuf`, or `NULL` if there is none.

Available since: 2.10

#### Parameters

`pixbuf`

  Type: `GdkPixbuf`

  A `GdkPixbuf`.

  The data is owned by the caller of the function.

`length`

  Type: `gsize*`

  Return location for the ICC profile’s length.

  The argument will be set by the function.

#### Return value

Type: An array of `guint8`

The ICC profile data, or `NULL`. The value should be freed with g_free().

The length of the array is in the `length` argument.
The data is owned by the called function.
The return value can be `NULL`.